package com.yonge.cooleshow.biz.dal.vo;

import com.yonge.cooleshow.biz.dal.entity.MusicSheet;
import com.yonge.cooleshow.common.enums.YesOrNoEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * Description
 *
 * @author: liujunchi
 * @date: 2022-03-30
 */
@ApiModel(value = "MusicSheetVo对象", description = "音乐曲目表查询视图对象")
public class MusicSheetVo extends MusicSheet {

    @ApiModelProperty("添加人")
    private String addName;

    @ApiModelProperty("添加头像（老师头像）")
    private String addUserAvatar;

    @ApiModelProperty("标签名")
    private String musicTagNames;

    @ApiModelProperty("声部名")
    private String subjectNames;

    @ApiModelProperty("收藏 0：否，1：是")
    private YesOrNoEnum favorite = YesOrNoEnum.NO;

    @ApiModelProperty("是否购买/VIP（0：否，1：是） ")
    private YesOrNoEnum play;

    @ApiModelProperty("专辑中曲目的排序号")
    private Integer albumSortNumber;  //排序号

    @ApiModelProperty("单曲专辑数")
    private Integer albumNums;

    @ApiModelProperty("曲目来源名")
    private String  sourceName;

    @ApiModelProperty("机构专辑ID,逗号隔开")
    private String tenantAlbumId;

    public String getTenantAlbumId() {
        return tenantAlbumId;
    }

    public void setTenantAlbumId(String tenantAlbumId) {
        this.tenantAlbumId = tenantAlbumId;
    }

    public String getSourceName() {
        return sourceName;
    }

    public void setSourceName(String sourceName) {
        this.sourceName = sourceName;
    }

    public Integer getAlbumSortNumber() {
        return albumSortNumber;
    }

    public void setAlbumSortNumber(Integer albumSortNumber) {
        this.albumSortNumber = albumSortNumber;
    }


    public String getAddName() {
        return addName;
    }

    public void setAddName(String addName) {
        this.addName = addName;
    }

    public String getMusicTagNames() {
        return musicTagNames;
    }

    public void setMusicTagNames(String musicTagNames) {
        this.musicTagNames = musicTagNames;
    }

    public String getSubjectNames() {
        return subjectNames;
    }

    public void setSubjectNames(String subjectNames) {
        this.subjectNames = subjectNames;
    }

    public String getAddUserAvatar() {
        return addUserAvatar;
    }

    public void setAddUserAvatar(String addUserAvatar) {
        this.addUserAvatar = addUserAvatar;
    }

    public YesOrNoEnum getFavorite() {
        return favorite;
    }

    public void setFavorite(YesOrNoEnum favorite) {
        this.favorite = favorite;
    }

    public YesOrNoEnum getPlay() {
        return play;
    }

    public void setPlay(YesOrNoEnum play) {
        this.play = play;
    }

    public Integer getAlbumNums() {
        return albumNums;
    }

    public void setAlbumNums(Integer albumNums) {
        this.albumNums = albumNums;
    }
}
